package com.alibaba.druid.sql.ast.statement;

public enum SQLUnionOperator {
   UNION("UNION"),
   UNION_ALL("UNION ALL"),
   MINUS("MINUS"),
   MINUS_ALL("MINUS ALL"),
   MINUS_DISTINCT("MINUS DISTINCT"),
   EXCEPT("EXCEPT"),
   EXCEPT_ALL("EXCEPT ALL"),
   EXCEPT_DISTINCT("EXCEPT DISTINCT"),
   INTERSECT("INTERSECT"),
   INTERSECT_ALL("INTERSECT ALL"),
   INTERSECT_DISTINCT("INTERSECT DISTINCT"),
   DISTINCT("UNION DISTINCT");

   public final String name;
   public final String name_lcase;

   private SQLUnionOperator(String name) {
      this.name = name;
      this.name_lcase = name.toLowerCase();
   }

   public String toString() {
      return this.name;
   }
}
